# Treasure Workflow

Treasure Workflow

Version: 1.0

## Servers

aws
```
https://api-workflow.treasuredata.com
```

aws-tokyo
```
https://api-workflow.treasuredata.co.jp
```

eu01
```
https://api-workflow.eu01.treasuredata.com
```

ap02
```
https://api-workflow.ap02.treasuredata.com
```

ap03
```
https://api-workflow.ap03.treasuredata.com
```

## Security

### ApiKeyAuth

Type: http
Scheme: TD1

## Download OpenAPI description

 - [Treasure Workflow](https://docs.treasure.ai/_bundle/apis/workflow.yaml)

## Attempt

 - [GET /api/attempts](https://docs.treasure.ai/apis/workflow/attempt/getattempts.md)
 - [PUT /api/attempts](https://docs.treasure.ai/apis/workflow/attempt/startattempt.md): "resume" is used to rerun an attempt. It is used in the case an attempt failed then users want to resume it from the middle.It has two modes "failed" or "from" to set the way to resume.In "failed" mod
 - [GET /api/attempts/{id}](https://docs.treasure.ai/apis/workflow/attempt/getattempt.md)
 - [POST /api/attempts/{id}/kill](https://docs.treasure.ai/apis/workflow/attempt/killattempt.md)
 - [GET /api/attempts/{id}/retries](https://docs.treasure.ai/apis/workflow/attempt/getattemptretries.md)
 - [GET /api/attempts/{id}/tasks](https://docs.treasure.ai/apis/workflow/attempt/gettasks.md)
## Log

 - [GET /api/logs/{attempt_id}/files](https://docs.treasure.ai/apis/workflow/log/getfilehandles.md)
 - [GET /api/logs/{attempt_id}/files/{file_name}](https://docs.treasure.ai/apis/workflow/log/getfile.md)
## Pool

 - [GET /api/pool_rules](https://docs.treasure.ai/apis/workflow/pool/getpoolrules.md): List pool rules.
 - [POST /api/pool_rules](https://docs.treasure.ai/apis/workflow/pool/createpoolrule.md): Create a rule that assigns an attempt to a pool based on conditions. A rule consists of a priority, conditions, and a pool ID. Rules are evaluated in priority order, from the lowest value to the highe
 - [DELETE /api/pool_rules/{poolRuleId}](https://docs.treasure.ai/apis/workflow/pool/deletepoolrule.md): Delete a pool rule.
 - [GET /api/pool_rules/{poolRuleId}](https://docs.treasure.ai/apis/workflow/pool/getpoolrule.md): Get a pool rule.
 - [PATCH /api/pool_rules/{poolRuleId}](https://docs.treasure.ai/apis/workflow/pool/updatepoolrule.md): Update a rule that assigns an attempt to a pool based on conditions.
 - [GET /api/pools](https://docs.treasure.ai/apis/workflow/pool/getpools.md): List pools.
 - [POST /api/pools](https://docs.treasure.ai/apis/workflow/pool/createpool.md): Create a pool with the specified name and concurrency limit. A default pool is created with the account's concurrency limit if it does not exist. The default pool’s concurrency limit is reduced by the
 - [DELETE /api/pools/{poolId}](https://docs.treasure.ai/apis/workflow/pool/deletepool.md): Delete a pool. You cannot delete a pool if there are any attempts running or queued in the pool, if a pool rule references it, or if it is the default pool. The deleted pool’s concurrency limit is add
 - [GET /api/pools/{poolId}](https://docs.treasure.ai/apis/workflow/pool/getpool.md): Get a pool.
 - [PATCH /api/pools/{poolId}](https://docs.treasure.ai/apis/workflow/pool/updatepool.md): Update a pool with the specified name and concurrency limit. You cannot update the default pool. The default pool’s concurrency limit is adjusted to accommodate the new concurrency limit. A pool’s con
## Project

 - [GET /api/projects](https://docs.treasure.ai/apis/workflow/project/getprojects.md)
 - [PUT /api/projects](https://docs.treasure.ai/apis/workflow/project/putproject.md)
 - [DELETE /api/projects/{id}](https://docs.treasure.ai/apis/workflow/project/deleteproject.md)
 - [GET /api/projects/{id}](https://docs.treasure.ai/apis/workflow/project/getproject.md)
 - [GET /api/projects/{id}/archive](https://docs.treasure.ai/apis/workflow/project/getarchive.md)
 - [GET /api/projects/{id}/revisions](https://docs.treasure.ai/apis/workflow/project/getrevisions.md)
 - [GET /api/projects/{id}/schedules](https://docs.treasure.ai/apis/workflow/project/getprojectschedules.md)
 - [GET /api/projects/{id}/secrets](https://docs.treasure.ai/apis/workflow/project/getprojectsecrets.md)
 - [DELETE /api/projects/{id}/secrets/{key}](https://docs.treasure.ai/apis/workflow/project/deleteprojectsecret.md)
 - [PUT /api/projects/{id}/secrets/{key}](https://docs.treasure.ai/apis/workflow/project/putprojectsecret.md)
 - [GET /api/projects/{id}/sessions](https://docs.treasure.ai/apis/workflow/project/getprojectsessions.md)
 - [GET /api/projects/{id}/workflows](https://docs.treasure.ai/apis/workflow/project/getworkflows.md)
 - [GET /api/projects/{id}/workflows/{name}](https://docs.treasure.ai/apis/workflow/project/getworkflowbyname.md)
## Schedule

 - [GET /api/schedules](https://docs.treasure.ai/apis/workflow/schedule/getschedules.md)
 - [GET /api/schedules/{id}](https://docs.treasure.ai/apis/workflow/schedule/getschedule.md)
 - [POST /api/schedules/{id}/backfill](https://docs.treasure.ai/apis/workflow/schedule/backfillschedule.md)
 - [POST /api/schedules/{id}/disable](https://docs.treasure.ai/apis/workflow/schedule/disableschedule.md)
 - [POST /api/schedules/{id}/enable](https://docs.treasure.ai/apis/workflow/schedule/enableschedule.md)
 - [POST /api/schedules/{id}/skip](https://docs.treasure.ai/apis/workflow/schedule/skipschedule.md)
## Session

 - [GET /api/sessions](https://docs.treasure.ai/apis/workflow/session/getsessions.md)
 - [GET /api/sessions/{id}](https://docs.treasure.ai/apis/workflow/session/getsession.md)
 - [GET /api/sessions/{id}/attempts](https://docs.treasure.ai/apis/workflow/session/getsessionattempts.md)
## Workflow

 - [GET /api/workflows](https://docs.treasure.ai/apis/workflow/workflow/getworkflowdefinitions.md)
 - [GET /api/workflows/{id}](https://docs.treasure.ai/apis/workflow/workflow/getworkflowdefinition.md)
 - [GET /api/workflows/{id}/truncated_session_time](https://docs.treasure.ai/apis/workflow/workflow/getworkflowtruncatedsessiontime.md)
